Name:            graywolf
Summary:         Yosys open synthesis suite - placement tool
Version:         0.1.4
Release:         2.1
License:         GPL-2.0
Group:           Productivity/Scientific/Electronics
Source0:         https://github.com/rubund/graywolf/archive/%{version}.tar.gz#/graywolf-%{version}.tar.gz
# PATCH-FIX-UPSTREAM 0001-cfree-has-been-removed-from-glibc-2.26.patch -- Replace obsolete/removed cfree with free
Patch0:          https://github.com/rubund/graywolf/commit/23c6f4adb38f.patch#/0001-cfree-has-been-removed-from-glibc-2.26.patch
# PATCH-FIX-OPENSUSE 0001-Avoid-symbol-reference-from-library-to-hosting-progr.patch -- fix build issue, recheck
Patch1:          0001-Avoid-symbol-reference-from-library-to-hosting-progr.patch
# PATCH-FIX-UPSTREAM [submitted] 0002-Use-CMAKE_INSTALL_LIBDIR-instead-of-CMAKE_INSTALL_PR.patch
Patch2:          0002-Use-CMAKE_INSTALL_LIBDIR-instead-of-CMAKE_INSTALL_PR.patch
# PATCH-FIX-UPSTREAM [rebased] 0003-Fix-no-return-in-nonvoid-function-warnings.patch
Patch3:          0003-Fix-no-return-in-nonvoid-function-warnings.patch
# PATCH-FIX-UPSTREAM 0004-Add-missing-includes-to-have-correct-prototypes.patch
Patch4:          https://github.com/rubund/graywolf/commit/d9fe64dda794.patch#/0004-Add-missing-includes-to-have-correct-prototypes.patch
# PATCH-FIX-UPSTREAM 0005-Add-headers-for-prototypes.patch
Patch5:          https://github.com/rubund/graywolf/commit/37af7675187c.patch#/0005-Add-headers-for-prototypes.patch
# PATCH-FIX-UPSTREAM 0006-Miscellaneous-return-value-fixes.patch
Patch6:          https://github.com/rubund/graywolf/commit/f02f230dee87.patch#/0006-Miscellaneous-return-value-fixes.patch
# PATCH-FIX-UPSTREAM 0007-Fix-bad-cast-int-vs-int.patch
Patch7:          https://github.com/rubund/graywolf/commit/f4e85286e33b.patch#/0007-Fix-bad-cast-int-vs-int.patch
# PATCH-FIX-UPSTREAM [submitted] 0008-Fix-linking-during-parallel-build.patch
Patch8:          0008-Fix-linking-during-parallel-build.patch
URL:             https://github.com/rubund/graywolf
BuildRequires:   pkg-config
BuildRequires:   gcc-c++
BuildRequires:   libX11-devel
BuildRequires:   cmake

%description
VLSI design placement tool, mainly used together with qflow.

This is a fork of TimberWolf 6.3.5, which was developed at Yale University,
and was distributed as open source for a time until it was taken commercial.
The last open-source version of TimberWolf does not perform detail routing,
but is a professional-grade placement tool. In order to continue improving
the open-source version, graywolf has been forked off from version 6.3.5
of TimberWolf.

%prep
%setup -n graywolf-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1

%build
%cmake
%make_jobs

%install
%cmake_install
mv %{buildroot}%{_libdir}/graywolf/bin/splt_file.{a,awk}
rm %{buildroot}%{_libdir}/lib*.so

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%{_bindir}/*
%{_libdir}/*

%changelog
* Thu Apr  5 2018 stefan.bruens@rwth-aachen.de
- Add upstream references to upstreamed patches
- Correct RPM Group
- Remove development library
- Rename splt_file.a awk script to splt_file.awk
* Thu Apr  5 2018 stefan.bruens@rwth-aachen.de
- Fix build failure due to removal of obsolete cfree from glibc 2.26
  * add 0001-cfree-has-been-removed-from-glibc-2.26.patch
* Sun Jun 18 2017 stefan.bruens@rwth-aachen.de
- Update to version 0.1.4
- fix upstream sources to compile with current default compiler
  flags/warnings:
  * add 0001-Avoid-symbol-reference-from-library-to-hosting-progr.patch
  * add 0003-Fix-no-return-in-nonvoid-function-warnings.patch
  * add 0004-Add-missing-includes-to-have-correct-prototypes.patch
  * add 0005-Add-headers-for-prototypes.patch
  * add 0006-Miscellaneous-return-value-fixes.patch
  * add 0007-Fix-bad-cast-int-vs-int.patch
- heavy spec cleanup
  * remove bad libffi4 Requires
  * remove unnecessary BuildRequires tcl-devel,flex, bison
  * Update description, actually provide information about graywolf
    instead of the whole Yosys suite
- properly use and set _libdir, also in generated files, instead of
  just moving the files:
  * add 0002-Use-CMAKE_INSTALL_LIBDIR-instead-of-CMAKE_INSTALL_PR.patch
- fix parallel build:
  * add 0008-Fix-linking-during-parallel-build.patch
- run ldconfig
* Tue Dec  8 2015 David Lanzendörfer <david.lanzendoerfer@o2s.ch>
- graywolf port to openSUSE
